
Enduro/X Core - Bug #514

test064_bufswitch core dump

02/08/2020 07:54 PM - Madars

Status: Rejected Start date: 02/08/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Program terminated with signal 11, Segmentation fault.

#0  0x00007fe765342231 in ndrx_tpgetrply (cd=0x7ffd6ba14a8c, cd_exp=16382, data=0x7ffd6ba14c18, len=0x7ffd6ba14c10,

    flags=256, p_tranid=0x0) at /home/user1/endurox/libatmi/tpcall.c:806

806                if (CALL_WAITING_FOR_ANS==G_atmi_tls->G_call_state[rply->cd].status &&

Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.209.el6_9.1.x86_64
Thread 2 (Thread 0x7fe7647d9300 (LWP 809)):

#0  0x00007ffd6bb28917 in gettimeofday ()

#1  0x00000036cb29c7ea in gettimeofday () from /lib64/libc.so.6

#2  0x00007fe764e99016 in ndrx_get_dt_local (p_date=0x7fe7647d85c8, p_time=0x7fe7647d85c0, p_usec=0x7fe7647d85b8)

    at /home/user1/endurox/libnstd/nstdutil.c:257

#3  0x00007fe764e93fb5 in __ndrx_debug__ (dbg_ptr=0x602a40, lev=5, file=<value optimized out>, line=926,

    func=0x7fe764ecc770 "ndrx_svq_timeout_thread", fmt=0x7fe764ecbd51 "moc=%d %p %p fd=%d")

    at /home/user1/endurox/libnstd/ndebug.c:1239

#4  0x00007fe764ea96e5 in ndrx_svq_timeout_thread (arg=<value optimized out>)

    at /home/user1/endurox/libnstd/sys_svqevent.c:925

#5  0x00000036cb607aa1 in start_thread () from /lib64/libpthread.so.0

#6  0x00000036cb2e8bcd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe764e798a0 (LWP 808)):

#0  0x00007fe765342231 in ndrx_tpgetrply (cd=0x7ffd6ba14a8c, cd_exp=16382, data=0x7ffd6ba14c18, len=0x7ffd6ba14c10,

    flags=256, p_tranid=0x0) at /home/user1/endurox/libatmi/tpcall.c:806

#1  0x00007fe76534466f in ndrx_tpcall (svc=0x7ffd6ba14d90 "NULLRSP", idata=0x0, ilen=0, odata=0x7ffd6ba14c18,

    olen=0x7ffd6ba14c10, flags=256, extradata=0x0, dest_node=0, ex_flags=0, user1=0, user2=0, user3=0, user4=0)

    at /home/user1/endurox/libatmi/tpcall.c:1056

#2  0x00007fe76533f839 in tpcall (svc=0x7ffd6ba14d90 "NULLRSP", idata=0x0, ilen=0, odata=0x7ffd6ba14c18,

    olen=0x7ffd6ba14c10, flags=256) at /home/user1/endurox/libatmi/atmi.c:236

#3  0x000000000040116f in tester (svc=0x7ffd6ba14d90 "NULLRSP", input_type=<value optimized out>,

    input_sub=<value optimized out>, output_type=0x4024d0 "NULL", output_sub=0x7ffd6ba14dc0 "",

    flags=<value optimized out>, tpcallerr=0, validate=0)

    at /home/user1/endurox/atmitest/test064_bufswitch/atmiclt64.c:133

#4  0x0000000000401d58 in main (argc=<value optimized out>, argv=0x7ffd6ba14ef8)

    at /home/user1/endurox/atmitest/test064_bufswitch/atmiclt64.c:325

(gdb)

History

#1 - 02/08/2020 07:55 PM - Madars

- File deleted (test064_bufswitch.tar.gz)

#2 - 02/08/2020 07:57 PM - Madars

- Description updated
#3 - 02/08/2020 07:57 PM - Madars

- File test064_bufswitch.tar.gz added

#4 - 10/18/2020 04:11 PM - Madars

- Status changed from New to Rejected

- % Done changed from 0 to 100

Does not repeat

Files

test064_bufswitch.tar.gz 5.91 MB 02/08/2020 Madars
